Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::EME_Raw Class Referencefinal

`#include <eme_raw.h>`

Inheritance diagram for Botan::EME_Raw:

## Public Member Functions
| EME_Raw ()=default
secure_vector< uint8_t > | encode (const uint8_t in[], size_t in_length, size_t key_length, RandomNumberGenerator &rng) const
secure_vector< uint8_t > | encode (const secure_vector< uint8_t > &in, size_t key_length, RandomNumberGenerator &rng) const
size_t | maximum_input_size (size_t i) const override

## Detailed Description

Definition at line 14 of file eme_raw.h.

## Constructor & Destructor Documentation

Botan::EME_Raw::EME_Raw | ( |  | ) |
| default

## Member Function Documentation

secure_vector< uint8_t > Botan::EME::encode | ( | const uint8_t | in[],
|  | size_t | in_length,
|  | size_t | key_length,
|  | RandomNumberGenerator & | rng
| ) |  | const
| inherited

Encode an input

Parameters

  in | the plaintext
  in_length | length of plaintext in bytes
  key_length | length of the key in bits
  rng | a random number generator

Returns
  encoded plaintext

Definition at line 59 of file eme.cpp.

References Botan::EME::pad().

62 {
63 return pad(msg, msg_len, key_bits, rng);
64 }
Botan::EME::pad
virtual secure_vector< uint8_t > pad(const uint8_t in[], size_t in_length, size_t key_length, RandomNumberGenerator &rng) const =0

secure_vector< uint8_t > Botan::EME::encode | ( | const secure_vector< uint8_t > & | in,
|  | size_t | key_length,
|  | RandomNumberGenerator & | rng
| ) |  | const
| inherited

Encode an input

Parameters

  in | the plaintext
  key_length | length of the key in bits
  rng | a random number generator

Returns
  encoded plaintext

Definition at line 69 of file eme.cpp.

References Botan::EME::pad().

72 {
73 return pad(msg.data(), msg.size(), key_bits, rng);
74 }
Botan::EME::pad
virtual secure_vector< uint8_t > pad(const uint8_t in[], size_t in_length, size_t key_length, RandomNumberGenerator &rng) const =0

size_t Botan::EME_Raw::maximum_input_size | ( | size_t | keybits | ) | const
| override virtual

Return the maximum input size in bytes we can support

Parameters

  keybits | the size of the key in bits

Returns
  upper bound of input in bytes

Implements Botan::EME.

Definition at line 27 of file eme_raw.cpp.

28 {
29 return keybits / 8;
30 }

The documentation for this class was generated from the following files:

- src/lib/pk_pad/eme_raw/eme_raw.h
- src/lib/pk_pad/eme_raw/eme_raw.cpp